## org.apache.lucene.index
Class MergePolicy.MergeSpecification

    java.lang.Object
      org.apache.lucene.index.MergePolicy.MergeSpecification

Enclosing class:
  MergePolicy

    public static class MergePolicy.MergeSpecification

extends Object

A MergeSpecification instance provides the information necessary to perform multiple merges. It simply contains a list of `MergePolicy.OneMerge` instances.

Field Summary
`List<MergePolicy.OneMerge>` `merges` The subset of segments to be included in the primitive merge.

Constructor Summary
`MergePolicy.MergeSpecification()`

Method Summary
`void` `add(MergePolicy.OneMerge merge)`
`String` `segString(Directory dir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### merges

    public final List<MergePolicy.OneMerge> merges

  The subset of segments to be included in the primitive merge.

Constructor Detail

### MergePolicy.MergeSpecification

    public MergePolicy.MergeSpecification()

Method Detail

### add

    public void add(MergePolicy.OneMerge merge)

### segString

    public String segString(Directory dir)